package com.yuchen.saas.integration.feign.api.entity;

import com.yuchen.saas.integration.feign.api.dto.ActRuProcessNodeDto;
import lombok.Data;

import java.util.List;

/**
 * @author 林立超
 * @create 2020/10/20 14:45
 */
@Data
public abstract class ActEntity<T> extends DataEntity<T> {
    //新增字段，审批的类型（0，自定义，1，会议室 ，可能会新增其他）
    protected String actType;
    //当前的运行中的审批任务
    protected ActRuTask ruTask;
    //任务状态
    protected String state;
    //用户对应的审批
    protected ActApproval actApproval;

    protected List<ActRuProcessNodeDto> nodeList;

    public ActEntity(String id) {
        super(id);
    }
    public ActEntity() {
        super();
    }


}
